pcl::test::internal Namespace Reference

## Functions

template<typename Point1T , typename Point2T >
::testing::AssertionResult | XYZEQ (const char *expr1, const char *expr2, const Point1T &p1, const Point2T &p2)
template<typename Point1T , typename Point2T >
::testing::AssertionResult | XYZNear (const char *expr1, const char *expr2, const char *abs_error_expr, const Point1T &p1, const Point2T &p2, double abs_error)
template<typename Point1T , typename Point2T >
::testing::AssertionResult | NormalEQ (const char *expr1, const char *expr2, const Point1T &p1, const Point2T &p2)
template<typename Point1T , typename Point2T >
::testing::AssertionResult | NormalNear (const char *expr1, const char *expr2, const char *abs_error_expr, const Point1T &p1, const Point2T &p2, double abs_error)
template<typename Point1T , typename Point2T >
::testing::AssertionResult | RGBEQ (const char *expr1, const char *expr2, const Point1T &p1, const Point2T &p2)
template<typename Point1T , typename Point2T >
::testing::AssertionResult | RGBAEQ (const char *expr1, const char *expr2, const Point1T &p1, const Point2T &p2)

## Function Documentation

template<typename Point1T , typename Point2T >

::testing::AssertionResult pcl::test::internal::NormalEQ | ( | const char * | expr1,
|  | const char * | expr2,
|  | const Point1T & | p1,
|  | const Point2T & | p2
| ) |  |

Definition at line 125 of file pcl_tests.h.

template<typename Point1T , typename Point2T >

::testing::AssertionResult pcl::test::internal::NormalNear | ( | const char * | expr1,
|  | const char * | expr2,
|  | const char * | abs_error_expr,
|  | const Point1T & | p1,
|  | const Point2T & | p2,
|  | double | abs_error
| ) |  |

Definition at line 140 of file pcl_tests.h.

template<typename Point1T , typename Point2T >

::testing::AssertionResult pcl::test::internal::RGBAEQ | ( | const char * | expr1,
|  | const char * | expr2,
|  | const Point1T & | p1,
|  | const Point2T & | p2
| ) |  |

Definition at line 177 of file pcl_tests.h.

template<typename Point1T , typename Point2T >

::testing::AssertionResult pcl::test::internal::RGBEQ | ( | const char * | expr1,
|  | const char * | expr2,
|  | const Point1T & | p1,
|  | const Point2T & | p2
| ) |  |

Definition at line 162 of file pcl_tests.h.

template<typename Point1T , typename Point2T >

::testing::AssertionResult pcl::test::internal::XYZEQ | ( | const char * | expr1,
|  | const char * | expr2,
|  | const Point1T & | p1,
|  | const Point2T & | p2
| ) |  |

Definition at line 88 of file pcl_tests.h.

template<typename Point1T , typename Point2T >

::testing::AssertionResult pcl::test::internal::XYZNear | ( | const char * | expr1,
|  | const char * | expr2,
|  | const char * | abs_error_expr,
|  | const Point1T & | p1,
|  | const Point2T & | p2,
|  | double | abs_error
| ) |  |

Definition at line 103 of file pcl_tests.h.